/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package vclaimmember

import (
	e "simrs-vx/internal/domain/bpjs-entities/vclaim-member"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.VclaimMember) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.CardNumber = inputSrc.CardNumber
	data.Person_Id = inputSrc.Person_Id
}
